''' $FreeBSD: src/gnu/libexec/uucp/uuconv/uuconv.1,v 1.1.2.1 1999/09/05 11:05:49 peter Exp $
.TH uuconv 1 "Taylor UUCP 1.06"
.SH NAME
uuconv \- convert UUCP configuration files
.SH SYNOPSIS
.B uuconv 
\-i type \-o type [-p program] [standard UUCP options]
.SH DESCRIPTION
The 
.B uuconv
program can be used to convert UUCP configuration
files from one format to another.  This can be useful for
administrators converting from an older UUCP package.  Taylor UUCP
is able to read and use old configuration file formats, but some
new features can not be selected using the old formats.
.PP
The type of configuration file to read is specified
using the `-i' or `--input' options.  The type of configuration file to
write is specified using the `-o' or `--output' options.
.PP
The supported configuration file types are `taylor', `v2', and
`hdb'.  For a description of the `taylor' configuration files, see
*Note Configuration Files::.  The other types of configuration files
are used by traditional UUCP packages, and are not described in this
manual.
.PP
An input configuration of type `v2' or `hdb' is read from a compiled
in directory (specified by `oldconfigdir' in `Makefile').  An input
configuration of type `taylor' is read from a compiled in directory by
default, but may be overridden with the standard `-I' or `--config'
options.
.PP
The output configuration is written to files in the directory in
which 
.B uuconv
is run.
.PP
Some information in the input files may not be representable in the
desired output format, in which case 
.B uuconv 
will silently discard it.
The output of 
.B uuconv
should be carefully checked before it is used.
The 
.B uuchk(8)
program may be used for this purpose.
.PP
The `-p' or `--program' option may be used to convert specific `cu'
configuration information, rather than the default of only converting
the `uucp' configuration information.
.SH SEE ALSO
cu(1), uucp(1)
.SH AUTHOR
Ian Lance Taylor (ian@airs.com).
This Manpage based on the Taylor UUCP 1.06 Texinfo documentation.

